Debian GNU/Linux

Change log for “a2ps” package in Debian

14 of 4 results
Published in jessie-release on 2014-04-04
Published in sid-release on 2014-04-01
a2ps (1:4.14-1.3) unstable; urgency=high


  * Non-maintainer upload.
  * Add CVE-2014-0466.diff patch.
    CVE-2014-0466: fixps does not invoke gs with -dSAFER. A malicious
    PostScript file could delete files with the privileges of the invoking
    user.
    Thanks to brian m. carlson <email address hidden> (Closes: #742902)

 -- Salvatore Bonaccorso <email address hidden>  Sun, 30 Mar 2014 09:09:07 +0200

Available diffs

Superseded in jessie-release on 2014-04-04
Superseded in sid-release on 2014-04-01
a2ps (1:4.14-1.2) unstable; urgency=medium


  * Non-maintainer upload.
  * Build-depend on emacs24 instead of emacs23. Closes: #682717.
  * Use dpkg-buildflags.
  * Build using autotools-dev.
  * CVE-2001-1593. Fix insecure use of /tmp. Closes: #737385.
  * Fix typo in package description. Closes: #608647.
  * Avoid a bad free in the encoding handling logic (taken from Fedora).
  * Fix build errors with -Wformat=security.
  * Fix texi build error.
  * Stop using dpatch, convert to packaging format 3.0. Closes: #669642.
  * Bump standards version to 3.9.5.

 -- Matthias Klose <email address hidden>  Thu, 27 Mar 2014 14:25:04 +0100
Superseded in jessie-release on 2014-04-01
Published in wheezy-release on 2011-02-07
Published in squeeze-release on 2010-06-01
Superseded in sid-release on 2014-03-28
a2ps (1:4.14-1.1) unstable; urgency=low


  * Non-maintainer upload.
  * Update debian/control.
     - Bump Standards-Version to 3.8.4
     - Update Build-Depends on debhelper 7
     - Update Depends on emacs23 instead of emacs22. (Closes: #571571)
   * Add debian/source/format.
     Set source format to "1.0".
   * Update debian/compat to 7
   * Update debian/copyright
     - Add year of Copyright.
     - Fix copyright-without-copyright-notice lintian warning.
   * Update debian/rules
     - Remove -k from dh_clean
     - Remove usr/share/info/dir after installing.
   * Add new patches.
     - Fix patch-system-but-direct-changes-in-diff
       06_encoding_texi.dpatch, 07_a2ps_info.dpatch
     - Fix manpage-has-errors-from-man.
       08_man.dpatch
   * Update debian/emacsen-startup.
     (Closes: #557775, #507293, #547907, #487183)

 -- Nobuhiro Iwamatsu <email address hidden>  Fri, 14 May 2010 11:28:10 +0900
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
Published in lenny-release on 2008-10-29
a2ps (1:4.14-1) unstable; urgency=low


  * New upstream release.
  * Bumped up Standards-Version to 3.7.3 (no physical changes).
  * Sorted out copyright information.  Thanks to Patrick Schoenfeld
    - closes: #448454
  * Now use autoload, not load, in emacsen-startup.  Thanks to Trent W. Buck 
    - closes: #446152
  * Now a2ps try to use html2ps for parsing HTML - closes: #424161
    I'll try to support Iceweasel later.
  * Now prefer emacs22 - closes: #434914, #283828
  * Added a manpage for a2ps-lpr-wrapper.  Thanks to Michael Tautschnig 
    - closes: #425068
  * debian/emacsen-install: do not load site files when byte-compiling, 
    and set symlinks to *.el files 
    - closes: #246296, #269409, #401684, #448144
  * prerm, postinst: use emacsen-common stuff only when it is installed 
    and configured.
  * rules: do not install emacsen snippets in {prerm,postinst}.
  * Many thanks to Agustin Martin Domingo for these 3 hacks above.

 -- Masayuki Hatta (mhatta) <email address hidden>  Thu, 03 Jan 2008 23:38:51 +0900
14 of 4 results